# This is a sample build configuration for PHP.
# Check our guides at https://confluence.atlassian.com/x/e8YWN for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: kryptonalegarme/penndev

pipelines:
  # default:
  #   - step:
  #       script:
  #         - echo "Do Nothing Here"
  branches:
    master:
      - step:
          name: Deploy to Production Server
          script:
            - echo "Run pipeline in master branch."
            #- apt-get -qq install git-ftp
            #- apt-get update
            #- git ftp catchup --user $FTP_PROD_USERNAME --passwd $FTP_PROD_PASSWORD ftp://$YOUR_SERVER_ADDRESS/
            - git ftp init --user $FTP_PROD_USERNAME --passwd $FTP_PROD_PASSWORD ftp://$YOUR_SERVER_ADDRESS/ -vv --force

    develop:
      - step:
          name: Deploy to Development Server
          script:
            - echo "Run pipeline in Development Branch"
            - apt-get -qq install git-ftp
            - apt-get update
            #- git ftp init --user $FTP_DEV_USERNAME --passwd $FTP_DEV_PASSWORD ftp://$YOUR_SERVER_ADDRESS/
            #- git ftp push --user $FTP_DEV_USERNAME --passwd $FTP_DEV_PASSWORD ftp://$YOUR_SERVER_ADDRESS/